#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1
%define shared_desktop_ontologies_version 0.11.0

%define upstream_name kdepim-runtime

ExcludeArch:   armv5tl

Name:           kdepim-runtime
Summary:        K Desktop Environment
Epoch:          2
Version: 16.12.3
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2
URL:            http://pim.kde.org
Source:         http://download.kde.org/stable/applications/%{version}/src/%{upstream_name}-%{version}.tar.xz

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5WebEngine)
BuildRequires: pkgconfig(Qt5WebEngineWidgets)
#BuildRequires: pkgconfig(Qt5TextToSpeech)

BuildRequires: kf5-macros

# KF5 package
BuildRequires: cmake(KF5KDELibs4Support)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5NotifyConfig)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5ItemModels)
BuildRequires: cmake(KF5Kross)
BuildRequires: cmake(KF5Codecs)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5TextWidgets)

# KdepimLibs package
BuildRequires: cmake(KF5Akonadi)
BuildRequires: cmake(KF5Mime)
BuildRequires: cmake(KF5AkonadiMime)
BuildRequires: cmake(KF5AkonadiCalendar)
BuildRequires: cmake(KF5MailTransport)
BuildRequires: cmake(KF5IdentityManagement)
BuildRequires: cmake(KF5AkonadiContact)
BuildRequires: cmake(KF5Contacts)
BuildRequires: cmake(KF5AlarmCalendar)
BuildRequires: cmake(KF5CalendarCore)
BuildRequires: cmake(KF5CalendarUtils)
BuildRequires: cmake(KF5Mbox)
BuildRequires: cmake(KF5PimTextEdit)
BuildRequires: cmake(KF5IMAP)
BuildRequires: cmake(KF5Syndication)
BuildRequires: cmake(KF5AkonadiNotes)

# Extra package: likgapi support
BuildRequires: cmake(KF5GAPI)

BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxslt)
BuildRequires: xsltproc
BuildRequires: boost-devel
BuildRequires: gdbm-devel
BuildRequires: pkgconfig(libsignon-qt5) >= 8.56
BuildRequires: pkgconfig(accounts-qt5) >= 1.11
# Branch patchs (100-200)

# Trunk patchs (200-300)
# Mageia/Fedora/others patchs (300-400)

%description
Information Management applications for the K Desktop Environment runtime libs.

#-----------------------------------------------------------------------------

%package -n akonadi-kde
Group: Graphical desktop/KDE
Summary: Akonadi control center for KDE
Requires: akonadi >= 1:1.2.1
Requires: mysql-client

Obsoletes: nepomuk-email-feeder < 2:4.7.90
Conflicts: %{name}-devel < 2:4.6.90

Obsoletes: akonadi-google < 0.3.2
Obsoletes: akonadi-googledata
Obsoletes: nepomuk-feeder < 2:4.10.80
Conflicts: nepomuk-feeder < 2:4.10.80
Obsoletes: akonadi-facebook < 0-1
Conflicts: akonadi-facebook < 0-1

%description -n akonadi-kde
Akonadi control center for KDE.

%files -n akonadi-kde
%doc COPYING COPYING.LIB
%_kf5_bindir/*
%_kf5_sysconfdir/xdg/kdepim-runtime.categories
%_kf5_sysconfdir/xdg/kdepim-runtime.renamecategories
%_kf5_datadir/mime/packages/kdepim-mime.xml
%_kf5_datadir/akonadi/agents/*.desktop
%_kf5_datadir/akonadi/accountwizard/*
%_qt5_plugindir/*.so
%_kf5_plugindir/kio/akonadi.so
%_kf5_datadir/akonadi/firstrun/*
%_kf5_datadir/akonadi/plugins/serializer/*.desktop
%_datadir/dbus-1/interfaces/org.kde.Akonadi.Maildir.Settings.xml
%_datadir/dbus-1/interfaces/org.kde.Akonadi.MixedMaildir.Settings.xml
%_kf5_iconsdir/*/*/*/*
%_kf5_knotificationsdir/*.notifyrc
%_kf5_services/akonadi.protocol
%_kf5_services/akonadi/*/*.desktop
%_kf5_servicetypes/*.desktop

#------------------------------------------------------------------------------

%package -n kio5-pop3
Summary: KDE pop3 module
Group: System/Libraries
Requires: akonadi-contacts
Recommends: %name-handbook

%description -n kio5-pop3
KDE pop3 module.

%files -n kio5-pop3
%_kf5_plugindir/kio/pop3.so
%_kf5_services/pop*.protocol

#------------------------------------------------------------------------------

%define akonadi_singlefileresource_major 5
%define libakonadi_singlefileresource %mklibname akonadi-singlefileresource %{akonadi_singlefileresource_major}

%package -n %libakonadi_singlefileresource
Summary: KDEPIM 4 library
Group: System/Libraries
Obsoletes:  %{_lib}akonadi-singlefileresource4 < %epoch:%release

%description -n %libakonadi_singlefileresource
KDEPIM 4 library.

%files -n %libakonadi_singlefileresource
%_kf5_libdir/libakonadi-singlefileresource.so.%{akonadi_singlefileresource_major}*

#------------------------------------------------------------------------------

%define maildir_major 5
%define libmaildir %mklibname maildir %{maildir_major}

%package -n %libmaildir
Summary: KDEPIM 4 library
Group: System/Libraries

Obsoletes:  %{_lib}maildir4 < %epoch:%release

%description -n %libmaildir
KDEPIM 4 library.

%files -n %libmaildir
%_kf5_libdir/libmaildir.so.%{maildir_major}*

#------------------------------------------------------------------------------

%define akonadi_filestore_major 5
%define libakonadi_filestore %mklibname akonadi-filestore %{akonadi_filestore_major}

%package -n %libakonadi_filestore
Summary: Akonadi filestore library
Group: System/Libraries

Obsoletes:  %{_lib}akonadi-filestore4 < %epoch:%release

%description -n %libakonadi_filestore
Akonadi filestore library.

%files  -n %libakonadi_filestore
%_kf5_libdir/libakonadi-filestore.so.%{akonadi_filestore_major}*

#------------------------------------------------------------------------------

%define kminexreader_major 5
%define libkmindexreader %mklibname kmindexreader %kminexreader_major

%package -n %libkmindexreader
Summary: KDEPIM Runtime library
Group: System/Libraries

Obsoletes:  %{_lib}kmindexreader4 < %epoch:%release


%description -n %libkmindexreader
KDEPIM Runtime library.

%files -n %libkmindexreader
%_kf5_libdir/libkmindexreader.so.%{kminexreader_major}*

#------------------------------------------------------------------------------

%define folderarchivesettings_major 5
%define libfolderarchivesettings %mklibname folderarchivesettings %folderarchivesettings_major

%package -n %libfolderarchivesettings
Summary: KDEPIM Runtime library
Group: System/Libraries

Obsoletes:  %{_lib}folderarchivesettings4 < %epoch:%release

%description -n %libfolderarchivesettings
KDEPIM Runtime library.

%files -n %libfolderarchivesettings
%_kf5_libdir/libfolderarchivesettings.so.%{folderarchivesettings_major}*

#------------------------------------------------------------------------------

%package        handbook
Summary:        Kdepim-runtime Handbook
Group:          Documentation
BuildArch:      noarch

# can be removed for mga7
Conflicts:      kdepimlibs-handbooks < 16.04.3-2

%description    handbook
This package provides kioslave handbook for pop3.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/pop3/

#------------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090051
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076787
- New version 16.12.0

* Sun Dec 18 2016 daviddavid <daviddavid> 2:16.11.90-2.mga6
+ Revision: 1075844
- akonadi-kde: do not require anymore libkfbapi (it is still part of KDE4/Qt4)

* Sat Dec 17 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075768
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067318
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061376
- New version 16.08.2

* Wed Sep 28 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1057178
- Do not build on armv5tl

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050643
- New version 16.08.1

* Thu Sep 01 2016 neoclust <neoclust> 2:16.08.0-4.mga6
+ Revision: 1049671
- Fix BRs for armv5tl

* Fri Aug 26 2016 daviddavid <daviddavid> 2:16.08.0-3.mga6
+ Revision: 1049146
- kio5-pop3 requires akonadi-contacts

* Thu Aug 25 2016 daviddavid <daviddavid> 2:16.08.0-2.mga6
+ Revision: 1048741
- pop3 kioslave files should be in kio5-pop3 subpackage

* Wed Aug 24 2016 daviddavid <daviddavid> 2:16.08.0-1.mga6
+ Revision: 1048197
- add subpackage kio5-pop3 no more provided by kdepimlibs
- add subpackage kdepim-runtime-handbook and conflicts kdepimlibs-handbooks

  + neoclust <neoclust>
    - New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040043
- New version 16.04.3
- New version 16.04.2

* Thu Jun 09 2016 daviddavid <daviddavid> 2:16.04.1-2.mga6
+ Revision: 1020936
- enable KF5GAPI support

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012529
- New version 16.04.1

* Tue Apr 26 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1006539
- New version 16.04.0

* Sat Apr 02 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997599
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991167
- New version 15.12.3

* Thu Mar 10 2016 neoclust <neoclust> 2:15.12.2-2.mga6
+ Revision: 988731
- Do not use %%rename, use Obsoletes instead

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-1.mga6
+ Revision: 987436
- New version 15.12.2

* Sun Jan 24 2016 luigiwalser <luigiwalser> 2:15.12.1-2.mga6
+ Revision: 926755
- obsolete kdepim4-runtime-devel

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 922605
- New version 15.12.1
- Fix upgrade

* Sat Dec 26 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 915047
- New version 15.12.0

* Fri Dec 11 2015 neoclust <neoclust> 2:15.11.80-3.mga6
+ Revision: 909537
- Rebuild as previous rpm as been rejected

* Fri Dec 11 2015 shlomif <shlomif> 2:15.11.80-2.mga6
+ Revision: 909476
- Rebuild for new deps

  + neoclust <neoclust>
    - New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 2:15.08.3-1.mga6
+ Revision: 901124
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 2:15.08.2-1.mga6
+ Revision: 890604
- New version 15.08.2

* Sat Sep 19 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 881072
- New version 15.08.1

* Fri Sep 11 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 877116
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 2:15.07.90-3.mga6
+ Revision: 863850
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 2:15.07.90-2.mga6
+ Revision: 862278
- Add obsoletes to ease upgrade

* Sun Aug 09 2015 neoclust <neoclust> 2:15.07.90-1.mga6
+ Revision: 861748
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 2:15.07.80-3.mga6
+ Revision: 859123
- Provides kdepim-runtime-devel

* Wed Jul 29 2015 neoclust <neoclust> 2:15.07.80-2.mga6
+ Revision: 858825
- Fix devel package name

* Wed Jul 29 2015 neoclust <neoclust> 2:15.07.80-1.mga6
+ Revision: 858823
- imported package kdepim-runtime

